std::gamma_distribution< _RealType >::param_type(3cxx)

NAME
std::gamma_distribution< _RealType >::param_type

SYNOPSIS

#include <random.h>

  Public Types

typedef gamma_distribution< _RealType > distribution_type

  Public Member Functions

param_type (_RealType __alpha_val, _RealType __beta_val=_RealType(1))
_RealType alpha () const
_RealType beta () const

  Friends

class gamma_distribution< _RealType >
bool operator!= (const param_type &__p1, const param_type &__p2)
bool operator== (const param_type &__p1, const param_type &__p2)

Detailed Description

  template<typename _RealType = double>
struct std::gamma_distribution< _RealType >::param_type"Parameter type.

Definition at line 2406 of file random.h.

Member Typedef Documentation

  template<typename _RealType = double> typedef gamma_distribution<_RealType> std::gamma_distribution< _RealType >::param_type::distribution_type

Definition at line 2408 of file random.h.

Constructor & Destructor Documentation

  template<typename _RealType = double> std::gamma_distribution< _RealType >::param_type::param_type () [inline]

Definition at line 2411 of file random.h.

  template<typename _RealType = double> std::gamma_distribution< _RealType >::param_type::param_type (_RealType __alpha_val, _RealType __beta_val = _RealType(1)) [inline], [explicit]

Definition at line 2414 of file random.h.

Member Function Documentation

  template<typename _RealType = double> _RealType std::gamma_distribution< _RealType >::param_type::alpha () const [inline]

Definition at line 2422 of file random.h.

  template<typename _RealType = double> _RealType std::gamma_distribution< _RealType >::param_type::beta () const [inline]

Definition at line 2426 of file random.h.

Friends And Related Symbol Documentation

  template<typename _RealType = double> friend class gamma_distribution< _RealType > [friend]

Definition at line 2408 of file random.h.

  template<typename _RealType = double> bool operator!= (const param_type & __p1, const param_type & __p2) [friend]

Definition at line 2435 of file random.h.

  template<typename _RealType = double> bool operator== (const param_type & __p1, const param_type & __p2) [friend]

Definition at line 2430 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.